<template>
  <div class="flex gap-1 py-2 items-center relative z-50">
    <button class="drawer-btn" @click="isDrawerOpen = true">
      <!-- <svg-icon svg-name="left-arrow-fill" class="w-6 h-6" /> -->
      <div class="w-12 h-12 flex justify-center items-center">

        <div class="h-[9px] flex place-content-between w-[13px] flex-wrap">
                <div
                  v-for="(item, index) in 3"
                  :key="index"
                  class="h-[1.83px] bg-hamburger w-[13px]"
                  :class="[
                    $attrs['class'] === 'hamburger-sbo' ? '' : 'hamburger-sbo',
                  ]"
                ></div>
              </div>
      </div>
    </button>
    <Teleport to="body">
      <el-drawer
        v-model="isDrawerOpen"
        :show-close="false"
        direction="ltr"
        title="Menu"
        size="280px"
        class="menu-drawer main-left-sidebar-drawer"
        :destroy-on-close="true"
      >
        <template #header>
          <div class="header-drawer">
            <button
              class="drawer-close-btn flex justify-center items-center"
              @click="drawer = false"
            >
              <svg-icon svg-name="left-arrow-fill" class="w-6 h-6" />
            </button>
          </div>
        </template>
        <!-- <lazy-theme-desktop-playful-components-leftside-drawer
          :is-drawer-opened="true"
        /> -->
        <div class="py-2 px-4 w-full main-left-sidebar">
          <div v-if="!auth" class="logout-action w-full !p-0 mb-2">
            <button class="w-full" @click="toggleLoginRegisterDialog">
              <span class="label">{{ $t("capital_login") }}</span>
            </button>
          </div>
          <div v-if="!auth" class="joinnow-action !p-0 mb-2">
            <button class="w-full" @click="toggleLoginRegisterDialog(false)">
              <span class="label">{{ $t("joinnow") }}</span>
            </button>
          </div>
          <div v-if="auth" class="py-2 rounded-lg left-sidebar-element mb-2">
            <new-black-theme-sidebar-menu
              v-for="menu in userCenterMenuTab"
              :key="menu"
              :menu="menu"
              :is-new-menu="true"
              :has-arrow="false"
              :is-use-tab-language="true"
              class="relative block px-6"
              @click="isDrawerOpen = false"
            />
          </div>
          <div class="py-2 rounded-lg left-sidebar-element mb-2">
            <new-black-theme-sidebar-menu
              v-for="menu in menuTabHeaders"
              :key="menu"
              :menu="menu"
              :is-new-menu="true"
              :has-arrow="false"
              class="relative block px-6 left-sidebar-element"
              @click="isDrawerOpen = false"
            />
          </div>
          <div class="rounded-lg left-sidebar-element mb-2">
            <div>
              <el-collapse>
                <el-collapse-item>
                  <template #title>
                    <div class="flex items-center justify-between w-full px-6">
                      <span
                        class="text-sm font-normal"
                        style="color: var(--text5)"
                        >{{ $t("Languages") }}</span
                      >
                      <div class="flex flex-nowrap gap-1 items-center">
                        <div class="flex items-center fc-text">
                          <div class="w-4 h-4 rounded-full">
                            <img
                              :src="
                                getAssetImage(
                                  `assets/materials/languageIcon/${defaultLanguage}.svg`
                                )
                              "
                              class="w-4 h-4 rounded-full object-cover"
                            />
                          </div>
                          <!-- <span class="profile-menu-title">{{
                            defaultLanguageForDisplay
                          }}</span> -->
                        </div>
                        <div class="flex items-center m-angle-right-container">
                          <font-awesome-icon
                            icon="angle-down"
                            class="m-language-collapse"
                          />
                        </div>
                      </div>
                    </div>
                  </template>
                  <div>
                    <div
                      v-for="(lang, index) in languages"
                      :key="`lang-${index}`"
                    >
                      <div
                        class="flex items-center cursor-pointer padding-y fc-text"
                        @click="switchLanguage(lang.ISO)"
                      >
                        <div class="w-4 h-4 rounded-full">
                          <img
                            class="w-4 h-4 rounded-full object-cover"
                            :src="
                              getAssetImage(
                                `assets/materials/languageIcon/${lang.ISO}.svg`
                              )
                            "
                          />
                        </div>
                        <div class="profile-menu-title">
                          {{ lang.LanguageLocalName }}
                        </div>
                      </div>
                    </div>
                  </div>
                </el-collapse-item>
              </el-collapse>
            </div>
          </div>
          <div v-if="auth" class="left-sidebar-element flex items-center px-6 h-[48px] rounded-lg mb-2">
            <button class="w-full" @click="onLogout">
              <span class="label">{{ $t("logout") }}</span>
            </button>
          </div>
        </div>
      </el-drawer>
    </Teleport>
  </div>
</template>
<script setup lang="ts">
import commonHelper from "@/utils/commonHelper";
import {
  useHeaderComponent,
  useLanguageComponent,
} from "@/composables/useTheme";
import useMenu from "@/composables/useMenu";
import { store } from "~/store";
import { TabInfo } from "@/models/IGetPlayableGamesResponse";

const { auth, menuTabHeaders, isReferralV2Enabled, logout } = useHeaderComponent();
const {
  languages,
  defaultLanguage,
  switchLanguage,
  defaultLanguageForDisplay,
} = useLanguageComponent();
const {
  isCashPlayer,
  isShowDepositWithdrawal,
  isShowPromotion,
  isShowReferral,
} = useMenu();
const { getAssetImage, toggleLoginRegisterDialog } = commonHelper;
const isShowReferralPage = computed(() => store.state.IsShowReferralPage);
const isDrawerOpen = ref(false);
const tabs = reactive([
  {
    to: "/deposit",
    label: "deposit",
    icon: "icon-deposit",
    display: isCashPlayer.value && isShowDepositWithdrawal.value,
  },
  {
    to: "/withdrawal",
    label: "withdrawal",
    icon: "icon-withdraw",
    display: isCashPlayer.value && isShowDepositWithdrawal.value,
  },
  {
    to: "/profile",
    label: "Account",
    icon: "icon-account",
    display: isCashPlayer.value && isShowDepositWithdrawal.value,
  },
]).filter((p) => p.display);
const userCenterMenuTab: TabInfo[] = tabs.map((item, index) => {
  return {
    IsFilter: false,
    Order: index + 1,
    TabURL: item.to,
    TabType: item.label,
    TabLanguage: item.icon,
  };
});
const onLogout = () => {
  logout();
};
</script>
<style lang="scss">
.main-left-sidebar-drawer .el-drawer__header {
  height: 48px;
  padding-top: 0;
  margin-bottom: 0;
  background: var(--background3);
}
.menu-drawer .el-drawer__body:has(.main-left-sidebar) {
  background: var(--background2);
  .el-collapse-item__header {
    background: transparent;
  }
  .el-collapse-item__wrap {
    background: transparent;
    .el-collapse-item__content {
      background: var(--background5);
      border-bottom-right-radius: 8px;
      border-bottom-left-radius: 8px;
    }
  }
}
.el-collapse {
  border: none;
}
.left-sidebar-element {
  background: var(--background5);
}
</style>
